package cmd

import (
	"io"
	"text/template"

	"go.fifitido.net/cmd/opt"
)

func WriteZshCompletions(out io.Writer, rootCmd *Command) error {
	return zshTpl.Execute(out, map[string]any{
		"rootCmd":    rootCmd,
		"globalOpts": opt.Globals(),
	})
}

var zshTpl = template.Must(template.New("zsh").Parse(`
	
`))
